// soap12testsvcdoc.idl : IDL source for soap12testsvcdoc
//

// This file will be processed by the MIDL tool to
// produce the type library (soap12testsvcdoc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(234E7D5A-D13C-4F82-BC7E-E0420279289F),
	dual,
	nonextensible,
	helpstring("Isoap12testsvcdoc Interface"),
	pointer_default(unique)
]
interface Isoap12testsvcdoc : IDispatch{
	[id(1), helpstring("method OnProcessSoapPost")] HRESULT OnProcessSoapPost([in] VARIANT SOAPMsgInterface, [in] BSTR bstrSvcURI, [in] BSTR bstrExtraPath, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method OnProcessSoapGet")] HRESULT OnProcessSoapGet([in] VARIANT SOAPMsgInterface, [in] BSTR bstrSvcURI, [in] BSTR bstrExtraPath, [in] BSTR bstrQueryString, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(F18B09FC-3FAB-4D63-B09E-1B870197EC16),
	version(1.0),
	helpstring("soap12testsvcdoc 1.0 Type Library")
]
library soap12testsvcdocLib
{
	importlib("stdole2.tlb");
	[
		uuid(BAFABC65-1F49-43C5-A184-D89A03B9B57D),
		helpstring("soap12testsvcdoc Class")
	]
	coclass soap12testsvcdoc
	{
		[default] interface Isoap12testsvcdoc;
	};
};
